### Class

# Ggit Native

#### Description [src]

    abstract class Ggit.Native : Ggit.ObjectFactoryBase
    {
      /* No available fields */
    }

Represents a generic native object.

#### Ancestors

- GgitObjectFactoryBase
- GObject

#### Descendants

- GgitBlame
- GgitConfig
- GgitCred
- GgitDiff
- GgitIndex
- GgitMailmap
- GgitObject
- GgitRebase
- GgitRef
- GgitRemote
- GgitRepository
- GgitRevisionWalker
- GgitSignature
- GgitTreeBuilder

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitNativeClass {
      /* no available fields */
    }

The class structure for `GgitNativeClass`.